Bug 160527 - [patch] audio/orpheus: mark broken
Summary: [patch] audio/orpheus: mark broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-06 21:00 UTC by Kaspars Bankovskis
Modified: 2011-09-15 07:30 UTC (History)
0 users

See Also:


Attachments
file.diff (434 bytes, patch)
2011-09-06 21:00 UTC, Kaspars Bankovskis
no flags Details | Diff
orpheus.out (3.73 KB, text/plain; charset=us-ascii)
2011-09-13 13:21 UTC, Kaspars Bankovskis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kaspars Bankovskis 2011-09-06 21:00:05 UTC
audio/orpheus does not build and is very outdated.

- mark it BROKEN
- suggest another port with similar features

Fix: Patch attached with submission follows:
Comment 1 Andrej Zverev 2011-09-10 10:30:00 UTC
Hello.

Can you show log with fail. Also I'm not very understand why it =
outdated. I'm using it and don't have any sense of outdate :-)=
Comment 2 Kaspars Bankovskis 2011-09-13 13:21:36 UTC
Hi,

Build log attached. I've tried it on 8.2-RELEASE on i386 and amd64, with
similar results.

We have version 1.5 in audio/orpheus, while latest release is 1.6, which
is dated 13 May 2006 - more than 5 years ago.

It's supposed to play mp3 and ogg only, while audio/cmus supports mp3,
ogg, flac, mp4 and more. Besides, cmus is actively developed, with latest
release this year.

On Sat, Sep 10, 2011 at 01:30:00PM +0400, Andrej Zverev wrote:
> Hello.
> 
> Can you show log with fail. Also I'm not very understand why it outdated. I'm using it and don't have any sense of outdate :-)
Comment 3 Andrej Zverev freebsd_committer 2011-09-13 18:08:56 UTC
Thank you for output, but I'm unable to repeat such failure. (it's build
fine on 8.2-STABLE amd64). And also there no failure from our building
cluster. ( http://pointyhat.freebsd.org )
About version 1.6 - it only add support for internet radio and no other
fixes. I know since I did maintain orpheus port long time ago.

Can try you build it in clean environment (inside jail for example)? As i
see something wrong with autotools.


On Tue, Sep 13, 2011 at 4:21 PM, Kaspars Bankovskis
<kaspars@bankovskis.lv>wrote:

> Hi,
>
> Build log attached. I've tried it on 8.2-RELEASE on i386 and amd64, with
> similar results.
>
> We have version 1.5 in audio/orpheus, while latest release is 1.6, which
> is dated 13 May 2006 - more than 5 years ago.
>
> It's supposed to play mp3 and ogg only, while audio/cmus supports mp3,
> ogg, flac, mp4 and more. Besides, cmus is actively developed, with latest
> release this year.
>
> On Sat, Sep 10, 2011 at 01:30:00PM +0400, Andrej Zverev wrote:
> > Hello.
> >
> > Can you show log with fail. Also I'm not very understand why it outdated.
> I'm using it and don't have any sense of outdate :-)
>
Comment 4 Kaspars Bankovskis 2011-09-14 10:34:03 UTC
Ok, found the reason - if you have devel/automake installed, building fails.
If you don't have automake, it builds fine. So I guess some patching must be
done to eliminate this check for automake.

On Tue, Sep 13, 2011 at 09:08:56PM +0400, Andrej Zverev wrote:
> Thank you for output, but I'm unable to repeat such failure. (it's build
> fine on 8.2-STABLE amd64). And also there no failure from our building
> cluster. ( http://pointyhat.freebsd.org )
> About version 1.6 - it only add support for internet radio and no other
> fixes. I know since I did maintain orpheus port long time ago.
> 
> Can try you build it in clean environment (inside jail for example)? As i
> see something wrong with autotools.
> 
> 
> On Tue, Sep 13, 2011 at 4:21 PM, Kaspars Bankovskis
> <kaspars@bankovskis.lv>wrote:
> 
> > Hi,
> >
> > Build log attached. I've tried it on 8.2-RELEASE on i386 and amd64, with
> > similar results.
> >
> > We have version 1.5 in audio/orpheus, while latest release is 1.6, which
> > is dated 13 May 2006 - more than 5 years ago.
> >
> > It's supposed to play mp3 and ogg only, while audio/cmus supports mp3,
> > ogg, flac, mp4 and more. Besides, cmus is actively developed, with latest
> > release this year.
> >
> > On Sat, Sep 10, 2011 at 01:30:00PM +0400, Andrej Zverev wrote:
> > > Hello.
> > >
> > > Can you show log with fail. Also I'm not very understand why it outdated.
> > I'm using it and don't have any sense of outdate :-)
> >
Comment 5 Andrej Zverev freebsd_committer 2011-09-14 11:34:14 UTC
Thank you. I will try to find a solution this week.

On Wed, Sep 14, 2011 at 1:34 PM, Kaspars Bankovskis
<kaspars@bankovskis.lv>wrote:

> Ok, found the reason - if you have devel/automake installed, building
> fails.
> If you don't have automake, it builds fine. So I guess some patching must
> be
> done to eliminate this check for automake.
>
> On Tue, Sep 13, 2011 at 09:08:56PM +0400, Andrej Zverev wrote:
> > Thank you for output, but I'm unable to repeat such failure. (it's build
> > fine on 8.2-STABLE amd64). And also there no failure from our building
> > cluster. ( http://pointyhat.freebsd.org )
> > About version 1.6 - it only add support for internet radio and no other
> > fixes. I know since I did maintain orpheus port long time ago.
> >
> > Can try you build it in clean environment (inside jail for example)? As i
> > see something wrong with autotools.
> >
> >
> > On Tue, Sep 13, 2011 at 4:21 PM, Kaspars Bankovskis
> > <kaspars@bankovskis.lv>wrote:
> >
> > > Hi,
> > >
> > > Build log attached. I've tried it on 8.2-RELEASE on i386 and amd64,
> with
> > > similar results.
> > >
> > > We have version 1.5 in audio/orpheus, while latest release is 1.6,
> which
> > > is dated 13 May 2006 - more than 5 years ago.
> > >
> > > It's supposed to play mp3 and ogg only, while audio/cmus supports mp3,
> > > ogg, flac, mp4 and more. Besides, cmus is actively developed, with
> latest
> > > release this year.
> > >
> > > On Sat, Sep 10, 2011 at 01:30:00PM +0400, Andrej Zverev wrote:
> > > > Hello.
> > > >
> > > > Can you show log with fail. Also I'm not very understand why it
> outdated.
> > > I'm using it and don't have any sense of outdate :-)
> > >
>
Comment 6 dfilter service freebsd_committer 2011-09-15 07:25:25 UTC
az          2011-09-15 06:25:11 UTC

  FreeBSD ports repository

  Modified files:
    audio/orpheus        Makefile 
  Log:
  - Mark as DEPRECATED
  
  Contains problem with autotools, security CVE-2005-3863.
  
  PR:             ports/160527
  Submitted by:   Kaspars Bankovskis <kaspars@bankovskis.lv>
  
  Revision  Changes    Path
  1.18      +3 -0      ports/audio/orpheus/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Andrej Zverev freebsd_committer 2011-09-15 07:26:20 UTC
State Changed
From-To: open->closed

Committed. Thanks! But instead of broken port marked as deprecated and 
will removed soon.